import { ElementFinder, browser } from "protractor";

/**
 * scroll page to make element visible
 */
export async function scrollToElement(elem: ElementFinder) {
    await browser.executeScript("arguments[0].scrollIntoView({ block: 'center' });", elem.getWebElement());
    await browser.sleep(50);
}

/**
 * scroll page to top
 */
export async function scrollPageToTop() {
    await browser.executeScript("window.scrollTo(0, 0);");
}
