import { Component } from "@angular/core";

import { FieldSet } from "../../formulaire/elements/fieldset";
import { I18nService } from "../../services/internationalisation.service";
import { ApplicationSetupService } from "../../services/app-setup.service";
import { FieldsetContainerComponent } from "../fieldset-container/fieldset-container.component";

@Component({
    selector: "structure-fieldset-container",
    templateUrl: "../fieldset-container/fieldset-container.component.html",
    styleUrls: [
        "../fieldset-container/fieldset-container.component.scss"
    ]
})
export class StructureFieldsetContainerComponent extends FieldsetContainerComponent {

    constructor(i18nService: I18nService, appSetupService: ApplicationSetupService) {
        super(i18nService, appSetupService);
    }
}
